h31301
s 00029/00000/00000
d D 1.1 82/08/03 08:48:49 cecily 1 0
e
u
U
t
T
I 1
pipe	title	unix c svc library -- pipe

.pipe	equ	42

	entry	pipe
r0	equ	0
r1	equ	1
r2	equ	2
rf	equ	15
sp	equ	7
*
	pure
pipe	equ	*
	svc	0,.pipe
	bc	error
	l	r2,0(sp)	return area
	st	r0,0(r2)	read file descriptor
	st	r1,adc(r2)	write file descriptor
	lis	r0,0	return
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
